import 'dart:io';

import 'package:device_info_plus/device_info_plus.dart';

import 'atmob_platform_info.dart';

class PlatformIosInfo {
  static init() async {
    if (Platform.isIOS) {
      DeviceInfoPlugin deviceInfoPlugin = DeviceInfoPlugin();
      IosDeviceInfo iosInfo = await deviceInfoPlugin.iosInfo;
      atmobPlatformInfo
          .setModel(iosInfo.model)
          .setIdfv(iosInfo.identifierForVendor);
    }
  }
}
